import { Distribution } from "./distribution.js";
/***
 * Extension of {@link Distribution}
 */
declare class CDKTF extends Distribution {
    static readonly folder = "ci";
    static readonly file = "cdktf.json";
    private static readonly resolve;
    private static readonly target;
    /***
     *
     * @param target {string} - Target Directory for Distribution
     * @param debug {boolean} - Debug Parameter
     *
     * @constructs
     *
     */
    constructor(target?: string, debug?: boolean);
    static generate(): Promise<void>;
}
export { CDKTF };
export default CDKTF;
